Merge "remove python 2.6 trove classifier"
diff --git a/requirements.txt b/requirements.txt
index cff7fd8..813008a 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,7 +1,6 @@
 gear>=0.5.4,<1.0.0
 python-swiftclient
 python-keystoneclient
-argparse
 
 lockfile
 python-daemon<2.0
diff --git a/tox.ini b/tox.ini
index fd5d24e..cfd9e06 100644
--- a/tox.ini
+++ b/tox.ini
@@ -19,9 +19,6 @@
 commands =
   python setup.py testr --slowest --testr-args='{posargs}'
 
-[tox:jenkins]
-downloadcache = ~/cache/pip
-
 [testenv:pep8]
 commands = flake8
 
diff --git a/turbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh b/turbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh
index 62d9e53..d23038c 100755
--- a/turbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh
+++ b/turbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh
@@ -48,7 +48,16 @@
   fi
   echo "Install pip requirements from $requires"
   pip install -q -r $requires
+
+  # Workaround for old python version on ubuntu-precise
+  ubuntu_version=$( lsb_release -r | awk '{ print $2 }' | sed 's/[.]//' )
+  if [ $ubuntu_version -eq 1204 ]
+  then
+    pip install -U "greenlet<0.4.9"
+  fi
+
   echo "Requirements installed"
+  pip freeze
 }
 
 db_sync() {
@@ -244,11 +253,13 @@
 set +x
 
 # Restore database to known good state
-echo "Restoring test database $DB_NAME"
+echo "Loading test database $DB_NAME"
 set -x
-mysql -u $DB_USER --password=$DB_PASS -e "drop database $DB_NAME"
-mysql -u $DB_USER --password=$DB_PASS -e "create database $DB_NAME"
-mysql -u $DB_USER --password=$DB_PASS $DB_NAME < $DATASET_SEED_SQL
+if ! mysql -u $DB_USER --password=$DB_PASS -e "use $DB_NAME"
+then
+    mysql -u $DB_USER --password=$DB_PASS -e "create database $DB_NAME"
+    mysql -u $DB_USER --password=$DB_PASS $DB_NAME < $DATASET_SEED_SQL
+fi
 set +x
 
 echo "Build test environment"